Brief 1.6b1

The Brief feed-reader extension was last updated on April 8th, 2011 which was shortly after Firefox 4 was release. There are some issues with using Brief in Firefox 6 and newer. While the add-on says it will work for Firefox 9, it does not work correctly in the Beta 1 release. The Mark As Read option does not work.

There is developmental version, 1.6b1 that is suppose to work better with Firefox 6 and newer. There has been some upgrades to the UI in this version as well. To update to 1.6b1:

  • Go to Brief on AMO
  • Scroll to the bottom of the page until you see Development Channel
  • Click the arrows on the right then click the yellow and orange Add to Firefox button to install.

Note: On first run you will have a new tab opened which is suppose to take you to the project page. However, this page no longer exist since the redesign of MozDev.org site.


Leave a Reply